Resume a workflow execution from an external link Generally available; added in 9.4.0

GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external

Spaces method and path for this operation:

get /s/{space_id}/api/workflows/executions/{executionId}/steps/{stepId}/resume/external

Refer to Spaces for more information.

Resume a paused waitForApproval step (pauses the workflow and waits for a human to approve/decline before execution continues) or waitForInput step (passes the expected input values as query parameters in the URL). Returns an HTML confirmation page.

Path parameters

  • executionId string Required

    Workflow execution ID

    Maximum length is 128.

  • stepId string Required

    Workflow step execution ID

    Maximum length is 128.

Query parameters

  • token string Required

    The token created when the workflow execution was paused. Authenticates the request to resume execution.

    Maximum length is 128.

  • approved boolean | string

    Indicates whether a human reviewer approved the paused step. Required for waitForApproval when resuming an approval step.

    Values are true or false.

Responses

  • 200 text/html

    An HTML confirmation page confirming that the response was received and the workflow execution was resumed.

GET /api/workflows/executions/{executionId}/steps/{stepId}/resume/external
curl \
  -X GET "${KIBANA_URL}/api/workflows/executions/{executionId}/steps/{stepId}/resume/external?token=${RESUME_TOKEN}&approved=true"
GET kbn://api/workflows/executions/{executionId}/steps/{stepId}/resume/external?token={resumeToken}&approved=true
Response examples (200)
Success page confirming the response was received
<!DOCTYPE html><html><body><h1>Thank you</h1><p>Your response was received. You can close this window.</p></body></html>